# Method: projects.approvalRequests.list

- [HTTP request](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.request_body)
- [Response body](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/projects.approvalRequests/list#body.aspect)

Lists approval requests associated with a project, folder, or organization. Approval requests can be filtered by state (pending, active, dismissed). The order is reverse chronological.

### HTTP request

`GET https://accessapproval.googleapis.com/v1/{parent=projects/*}/approvalRequests`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource. This may be "projects/{project}", "folders/{folder}", or "organizations/{organization}". Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `accessapproval.requests.list` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` A filter on the type of approval requests to retrieve. Must be one of the following values: - \[not set\]: Requests that are pending or have active approvals. - ALL: All requests. - PENDING: Only pending requests. - ACTIVE: Only active (i.e. currently approved) requests. - DISMISSED: Only requests that have been dismissed, or requests that are not approved and past expiration. - EXPIRED: Only requests that have been approved, and the approval has expired. - HISTORY: Active, dismissed and expired requests. |
| `pageSize` | `integer` Requested page size. |
| `pageToken` | `string` A token identifying the page of results to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/assured-workloads/access-approval/docs/reference/rest/v1/ListApprovalRequestsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).